import { jsx as t } from "../../../../../preact@10.29.0/node_modules/preact/jsx-runtime/dist/jsxRuntime.module.js";
import r from "classnames";
import { B as f } from "./StoreProvider-CBB99upB.js";
try {
  let e = typeof window < "u" ? window : typeof global < "u" ? global : typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : {}, n = new e.Error().stack;
  n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "abb565db-5a4a-4ee2-877a-5a4ebd482e20", e._sentryDebugIdIdentifier = "sentry-dbid-abb565db-5a4a-4ee2-877a-5a4ebd482e20");
} catch {
}
const b = "adyen-kyc-link", c = "adyen-kyc-link-default", y = "adyen-kyc-link-inline", l = {
  link: b,
  linkDefault: c,
  linkInline: y
}, p = ({ children: e, external: n = !1, href: s, inline: a = !1 }) => {
  const o = n ? "external noopener noreferrer" : void 0, d = n ? "_blank" : "_self", i = r(l.link, {
    [l.linkInline]: a,
    [l.linkDefault]: !a
  });
  return /* @__PURE__ */ t("a", { className: i, href: s, rel: o, target: d, children: [
    e,
    n && !a && /* @__PURE__ */ t(f, { name: "external-link" })
  ] });
};
export {
  p as L
};
